### Method

# ECal ClientView ref_client

since: 3.10

#### Declaration [src]

    _ECalClient*
    e_cal_client_view_ref_client (
      ECalClientView* client_view
    )

#### Description [src]

Returns the `ECalClientView:client` associated with `client_view`.

The returned `ECalClient` is referenced for thread-safety. Unreference the `ECalClient` with `g_object_unref()` when finished with it.

Available since: 3.10

#### Return value

Type: `ECalClient`

An `ECalClient`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.